Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79685 - KDE panel automatic hide freezes
Summary: KDE panel automatic hide freezes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-15 01:48 UTC by na
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-16 23:17:08 UTC


Attachments (Terms of Use)

Description na 2002-12-15 01:48:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When KDE panel automatic hide is used, the panel often freezes.  Specifically,
when the mouse cursor is placed at the bottom of the screen it may take up to 10
seconds for the panel to emerge.  Further, the buttons on the panel also respond
with a 10 second delay.  All other kde windows respond normally.  Normal
response time is almost instantaneous.

This only occurs occasionally.  Restarting X doesn't always help.  The problem
can disappear and reappear all during the same session.  

The K-menu also renders very slowly when this problem is occuring.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Select Preferences by right clicking on the KDE Panel
2. Select Hiding tab
3. Enable Automatic Hiding
4. Work away and periodically check the panel
    

Actual Results:  Sometimes the panel emerges right away and sometimes it takes
up to 10 seconds to emerge (with no heavy CPU load).  All other windows remain
reponsive.

Expected Results:  Prompt emergence of panel.  
Responsive panel buttons

Additional info:

Athlon 600, Nvidia TNT2

Comment 1 Ngo Than 2002-12-16 23:17:08 UTC
It's fixed in 3.1-0.9 or newer


Note You need to log in before you can comment on or make changes to this bug.